# Bucle.app API

_Una aplicación que conecta Bucle.app con su base de datos. Bucle.app lleva a cabo distintas tareas para la investigación UX, incluyendo Tree tests, card sorting y encuestas._

## Comenzando 🚀

_Estas instrucciones te permitirán obtener una copia del proyecto en funcionamiento en tu máquina local para propósitos de desarrollo y pruebas._

Mira **Deployment** para conocer como desplegar el proyecto.


### Pre-requisitos 📋

_Para instalar este sorfware necesitarás completar las siguiente instalaciones previas_

```
Instalación de node.js en tu máquina local

https://nodejs.org/en/
```

### Instalación 🔧

_Para levantar un entorno de desarrollo entorno de desarrollo ejecutandose_

_Instala el priyecto con el siguieente comando_

```
npm i
```

_Una vez instalado, levanta un servidor de desarrollo con el siguiente comando_

```
npm run start:dev
```

_El proyecto se mostrará en tu `http://localhost:3000/`_


## Frontend

_Puedes instalar y ejecutar el frontend del proyecto en tu máquina local
clonando este repositorio: `https://github.com/llopezin/ux-tooling-app`_

_Para ejecutar la aplicación frontent con la API ejecutandose en tu máquina local
consulta la documentación de la aplicación frontend, en concreto el apartado 
backend_

## Ejecutando las pruebas ⚙️

_Para ejecutar las pruebas del proyecto emplear el comando_

```
npm run test
```


## Despliegue 📦

_Para conseguir el código de producción para el despliege utilizar el siguiente comando_
_El código se genrerará dentro del archivo ./dist_

```
npm run build 
```

## API Documantacion

Para ver más información sobre los endpoints de la aplicación visita:
`https://bucle-app.herokuapp.com/api`



## Construido con 🛠️

* [NestJS](https://nestjs.com/) - El framework usado
* [Swagger](https://swagger.io/) - Libreria empleada para la documentación


## Repositorio

https://github.com/llopezin/ux-tooling-app-api

## Autora ✒️

* **Laura López Infantes** - *Desarrollo completo* - (http://laurainfantes.netlify.app/)